<?php
// Sample PHP Global Map page
// Author: Ken True - 27-Nov-2013  http://saratoga-weather.org/
// Version 2.00 - 27-Nov-2013 - initial release for Global Map V2.00
// Version 2.01 - 04-Jul-2016 - added Google Browser JavaScript Map API key support
############################################################################
// Settings for global-map-inc.php
  $condIconsDir = './MESO-images/';  // relative directory for pin/cluster/conditions images
  $doLinkTarget = true; // =true to add target="_blank" to links in popups
  $netLinksPath = './';  // relative path for including the network links files from get-links.php
  //   units-of-measure defaults for display
  $gmTempUOM = 'F';   // units for Temperature ='C' or ='F';
  $gmWindUOM = 'mph'; // units for Wind Speed ='mph', ='km/h', ='m/s', ='kts'
  $gmBaroUOM = 'inHg';// units for Barometer ='inHg', ='hPa', ='mb'
  $gmRainUOM = 'in';  // units for Rain ='in', ='mm'
  //  Google map settings
  $gmMapCenter = '44.0,-106.8'; // latitude,longitude for initial map center display (decimal degrees)
  $gmMapZoom = 3; // initial map zoom level 1=world, 10=city;
  $gmMapType = 'TERRAIN'; // ='ROADMAP', ='TERRAIN', ='SATELLITE', ='HYBRID' for Google Map Type (ALL CAPS)
// As of 22-Jun-2016, you need a Google Browser JavaScript API KEY to run this script
//
//  Get the key from the Google console:
//  https://developers.google.com/maps/documentation/javascript/get-api-key
//
  $googleAPI = '-replace-this-with-your-API-key-here-'; 
//
//end settings
############################################################################
# DO NOT CHANGE THESE SETTINGS
$GoogleLang = array ( // ISO 639-1 2-character language abbreviations from country domain to Google usage
  'af' => 'af',
  'bg' => 'bg',
  'ct' => 'ca',
  'dk' => 'da',
  'nl' => 'nl',
  'en' => 'en',
  'fi' => 'fi',
  'fr' => 'fr',
  'de' => 'de',
  'el' => 'el',
  'ga' => 'ga',
  'it' => 'it',
  'he' => 'iw',
  'hu' => 'hu',
  'no' => 'no',
  'pl' => 'pl',
  'pt' => 'pt',
  'ro' => 'ro',
  'es' => 'es',
  'se' => 'sv',
  'si' => 'sl',
);
$showGizmo = false; // needed to fake-out lack of template support
if(!function_exists('langtransstr')) {
	// shim function if not running in template set
	function langtransstr($input) { return($input); }
}
if(!function_exists('langtrans')) {
	// shim function if not running in template set
	function langtrans($input) { echo $input; return($input); }
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Global Affiliated Regional Weather Networks</title>


<meta http-equiv="Pragma" content="no-cache" />
<meta http-equiv="Cache-Control" content="no-cache" />
<?php $Lang = 'en';
if(isset($SITE['lang']) and isset($GoogleLang[$SITE['lang']])) {
	$Lang = $GoogleLang[$SITE['lang']];
	echo "<!-- lang=".$SITE['lang']." used - Google Lang=$Lang -->\n";
}
if (isset($SITE['googleAPI'])) {$googleAPI = $SITE['googleAPI']; }
?>
<script src="global-conditions-json.php" type="text/javascript"></script>
<script src="global-map.js" type="text/javascript"></script>
<link rel="stylesheet" type="text/css" href="global-map.css" media="screen" />
<style type="text/css">
body {
  color: black;
  background-color: #F3F2EB;
  font-family: verdana, helvetica, arial, sans-serif;
  font-size: 73%;  /* Enables font size scaling in MSIE */
  margin: 0;
  padding: 0;
}

html > body {
  font-size: 9pt;
}

#page {
        margin: 20px auto;
        color: black;
        background-color: white;
        padding: 0 0 0 2em;
        width: 650px;
        border: 1px solid #959596;
}

</style>
</head>
<body>
<div id="page">
<h1>Global Station Map of Affiliated Weather Networks</h1>
  
<?php
  if(file_exists("global-map-inc.php")) { 
    include_once("global-map-inc.php"); 
  } else {
	print "<p>Sorry. The Global map is not currently available.</p>\n";  
  }
?>
</div>
    <script src="https://maps.googleapis.com/maps/api/js?key=<?php echo $googleAPI;?>&amp;callback=initialize&amp;language=<?php print $Lang; ?>" type="text/javascript"></script>

</body>
</html>